Does anyone seriously do any kind of QA on this package?

Asked by MarianoAbsatz on 2009-05-13

I've used python-vm-builder to create intrepid VMs within an intrepid host after having quite a bunch of problems (complete lack of documentation, resorting to "--help" to see options that, when put in a config file plain don't work, etc.)

I upgraded the VMs to jaunty, then upgraded the host to jaunty and now I can't create VM's at all...

I first got hit by bug #371783, got rid of my iso image, then got hit by something similar to #338317, but changing to LANG=en_US.UTF-8 did nothing different... I think this is the same seen in #365054

Finally, after enabling tons of debugging, in my case, setting lang=en_US (no .UTF8) worked.

The "mem" option, at least when used within a config file, is useless... vmbuilder systematically generates the following:
  <memory>4294967295</memory>
  <currentMemory>4294967295</currentMemory>
however, I don't have enough ram in my server to give 4 terabytes to a single virtual machine... (this happened in the old intrepid vmbuilder and keeps happening in the latest one)...

I'm completely fed with this :-(

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu vm-builder Edit question
Assignee:
No assignee Edit question
Last query:
2009-05-13
Last reply:
2009-05-13

It isnt an officially supported package in ubuntu.
So if you are having problems try a different one I use virtualbox and I havent had any bugs yet.

Hope that helps
Shane

Can you help with this problem?

Provide an answer of your own, or ask MarianoAbsatz for more information if necessary.

To post a message you must log in.